Package org.apache.wiki.plugin

# Class SampleAjaxPlugin

java.lang.Object
org.apache.wiki.plugin.SampleAjaxPlugin

All Implemented Interfaces:
  `WikiAjaxServlet`, `Plugin`

public class SampleAjaxPlugin extends Object implements Plugin, WikiAjaxServlet

Since:
  2.10.2-svn10 updated according to https://issues.apache.org/jira/browse/JSPWIKI-1195

## Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`SampleAjaxPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(Context context, Map<String,String> params)`
`String`
`getServletMapping()`
`void`
`service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String actionName, List<String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SampleAjaxPlugin

public SampleAjaxPlugin()

## Method Details

### execute

public String execute(Context context, Map<String,String> params) throws PluginException

Specified by:
  `execute` in interface `Plugin`
Throws:
  `PluginException`

### getServletMapping

public String getServletMapping()

Specified by:
  `getServletMapping` in interface `WikiAjaxServlet`

### service

public void service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, String actionName, List<String> params) throws javax.servlet.ServletException, IOException

Specified by:
  `service` in interface `WikiAjaxServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`